<div xmlns="http://www.w3.org/1999/xhtml" lang="en"
	 xmlns:f="http://typo3.org/ns/fluid/ViewHelpers"
	 xmlns:portfolios="http://typo3.org/ns/CodingMs/Portfolios/ViewHelpers">
	<f:section name="Default">

		<div class="portfolio-item portfolio-item-teaser card {portfolio.cssClasses}">
			<div class="card-block">
				<f:for each="{settings.list.item.elements}" as="element">
					<f:switch expression="{element}">
						<f:case value="Title">
							<div class="portfolio-title">
								<h2 class="card-title">
									<f:link.action action="show"
												   arguments="{portfolio : portfolio}"
												   extensionName="portfolios"
												   pluginName="list"
												   class="portfolio-link"
												   title="{portfolio.title}"
												   pageUid="{settings.show.pageUid}">{portfolio.title}</f:link.action>
								</h2>
							</div>
						</f:case>
						<f:case value="SubTitle">
							<div class="portfolio-sub-title">
								<h3 class="card-subtitle">{portfolio.subtitle}</h3>
							</div>
						</f:case>
						<f:case value="Image">
							<div class="portfolio-image">
								<f:if condition="{f:count(subject: portfolio.images)}">
									<f:then>
										<f:for each="{portfolio.images}" as="image" iteration="itemIteration">
											<f:if condition="{itemIteration.isFirst}">
												<f:image src="{image.uid}" treatIdAsReference="1"
														 maxWidth="{settings.list.default.image.width}"
														 maxHeight="{settings.list.default.image.height}"
														 alt="{portfolio.title}" title="{portfolio.title}"
														 class="img-fluid"/>
											</f:if>
										</f:for>
									</f:then>
									<f:else>
										<f:image src="{f:uri.resource(path: 'Images/no-image.png')}"
												 maxWidth="{settings.list.default.image.width}"
												 maxHeight="{settings.list.default.image.height}"
												 alt="{portfolio.title}" title="{portfolio.title}"
												 class="img-fluid"/>
									</f:else>
								</f:if>
							</div>
						</f:case>
						<f:case value="Teaser">
							<div class="portfolio-teaser card-text">
								<f:format.html>{portfolio.teaser}</f:format.html>
							</div>
						</f:case>
						<f:case value="Tags">
							<div class="portfolio-tags">
								<p class="card-text"><span class="text-muted">Tags:</span> {portfolio.tagsString}</p>
							</div>
						</f:case>
						<f:case value="Categories">
							<div class="portfolio-categories">
								<p class="card-text"><span class="text-muted">Categories:</span> {portfolio.categoriesString}</p>
							</div>
						</f:case>
						<f:case value="Bookmark">
							<f:if condition="{settings.bookmarks.active} && {settings.pro}">
								<div class="portfolio-bookmarks">
									<portfolios:variable.set name="bookmarked" value="" />
									<f:if condition="{portfolios:variable.get(name: 'session.bookmarks.items.{portfolio.uid}', useRawKeys: 1)}">
										<portfolios:variable.set name="bookmarked" value="checked=\"checked\"" />
									</f:if>
									<label for="portfolio-bookmark-button_{portfolio.uid}" class="text-muted">
										<input type="checkbox" name="reference" id="portfolio-bookmark-button_{portfolio.uid}"
											   value="{portfolio.uid}" {bookmarked}
											   data-portfolio-bookmark-item-uid="{portfolio.uid}">
										<span>Für PDF-Erstellung merken</span>
									</label>
								</div>
							</f:if>
						</f:case>
					</f:switch>
				</f:for>
			</div>
		</div>

	</f:section>
</div>
